%define anolis_release 3

Summary:       A PKCS
Name:          openssl-pkcs11
Version:       0.4.12
Release:       %{anolis_release}%{?dist}
License:       LGPLv2+ and BSD
URL:           https://github.com/OpenSC/libp11
Source0:       https://github.com/OpenSC/libp11/releases/download/libp11-%{version}/libp11-%{version}.tar.gz

Patch0001:     0001-Deffer-initializing-crypto-routines-in-PKCS11-engine.patch
Patch3000:     openssl-pkcs11-0.4.10-set-rsa-fips-method-flag.patch

BuildRequires: make autoconf automake libtool
BuildRequires: openssl-devel openssl >= 3.0.0
BuildRequires: pkgconfig pkgconfig(p11-kit-1)
BuildRequires: softhsm opensc procps-ng 

Requires:      p11-kit-trust  openssl-libs >= 3.0.0

Provides:      libp11 = %{version}-%{release}
Provides:      engine_pkcs11 = %{version}-%{release}

%description -n openssl-pkcs11
openssl-pkcs11 is an abstract API to perform operations on cryptographic 
objects such as private keys, without requiring access to the objects themselves, 
it provides a logical separation of the keys from the operations. The openssl-pkcs11 
API is mainly used to access objects in smart cards and Hardware or Software Security Modules (HSMs).

%package -n libp11-devel
Summary:       Files for developing with libp11
Requires:      openssl-pkcs11 = %{version}-%{release}

%description -n libp11-devel
The libp11-devel package contains libraries and header files for
developing applications that use libp11.

%prep
%autosetup -p1 -n libp11-%{version}

%build
autoreconf -fvi
%configure --disable-static --with-enginesdir=%{_libdir}/engines-3
%make_build

%install
mkdir -p %{buildroot}%{_libdir}/engines-3
%make_install

rm -f %{buildroot}%{_libdir}/*.la
rm -f %{buildroot}%{_libdir}/engines-3/*.la
rm -rf %{buildroot}%{_docdir}/libp11/

%check
%make_build check || (cat tests/*.log; exit 0)

%files
%license COPYING
%doc NEWS
%{_libdir}/libp11.so.*
%{_libdir}/engines-3/*.so

%files -n libp11-devel
%doc examples 
%{_libdir}/libp11.so
%{_libdir}/pkgconfig/libp11.pc
%{_includedir}/*.h

%changelog
* Fri Apr 25 2025 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.4.12-3
- fix build err

* Sat Apr 15 2023 Shawn Wang <shawnwang@linux.alibaba.com> - 0.4.12-2
- Add doc package
- Add abi info

* Mon Jan 30 2023 Funda Wang <fundawang@yeah.net> - 0.4.12-1
- New version 0.4.12

* Mon Mar 14 2022 Renbo <rb01097748@alibaba-inc.com> - 0.4.11-1
- Init for Anolis OS 23
